"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNodeMirror = void 0;
function getNodeMirror(rawConfig, releaseChannel) {
    // This is a dynamic lookup since the 'use-node-version' option is allowed to be '<releaseChannel>/<version>'
    const configKey = `node-mirror:${releaseChannel}`;
    const nodeMirror = rawConfig[configKey] ?? `https://nodejs.org/download/${releaseChannel}/`;
    return normalizeNodeMirror(nodeMirror);
}
exports.getNodeMirror = getNodeMirror;
function normalizeNodeMirror(nodeMirror) {
    return nodeMirror.endsWith('/') ? nodeMirror : `${nodeMirror}/`;
}
//# sourceMappingURL=getNodeMirror.js.map