"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNodeExecPathInNodeDir = exports.getNodeExecPathInBinDir = exports.getNodeExecPathAndTargetDir = void 0;
const fs_1 = require("fs");
const path_1 = __importDefault(require("path"));
async function getNodeExecPathAndTargetDir(pnpmHomeDir) {
    const nodePath = getNodeExecPathInBinDir(pnpmHomeDir);
    let nodeLink;
    try {
        nodeLink = await fs_1.promises.readlink(nodePath);
    }
    catch (err) {
        nodeLink = undefined;
    }
    return { nodePath, nodeLink };
}
exports.getNodeExecPathAndTargetDir = getNodeExecPathAndTargetDir;
function getNodeExecPathInBinDir(pnpmHomeDir) {
    return path_1.default.resolve(pnpmHomeDir, process.platform === 'win32' ? 'node.exe' : 'node');
}
exports.getNodeExecPathInBinDir = getNodeExecPathInBinDir;
function getNodeExecPathInNodeDir(nodeDir) {
    return path_1.default.join(nodeDir, process.platform === 'win32' ? 'node.exe' : 'bin/node');
}
exports.getNodeExecPathInNodeDir = getNodeExecPathInNodeDir;
//# sourceMappingURL=utils.js.map